# telegram-bot-youtube-downloader

Set in your environment the following variables:
  - `BOT_TOKEN` telegram token for your bot
  - `CONF_FOLDER` conf folder with the `gplaycli.conf` file and the `token.cache` file

Usage:
  - Send link of android app or package name to the bot
  - The bot will download the APK and send it
      - If the APK is larger than 50MB, it is split into smaller parts, 
        which then need to be concatenated (in linux: cat file.apk* > file.apk)

This script require:
  - Python3 interpreter
  - telegram python api https://github.com/python-telegram-bot/python-telegram-bot
  - gplaycli https://github.com/matlink/gplaycli/ (installed on the machine)

Alternatively, use docker/docker-compose

Tips:
  - Use PythonAnyWhere for hosting the bot https://www.pythonanywhere.com
